<?xml version="1.0" encoding="utf-8"?>
<taskrunner name="desktop.shortcuts" version="1.1" date="2009-08-25" maxthreads="1">

  <!-- 
  log:
    2009-08-25/MMA Changed sub.folder.name to folders. The code-behind in @DeleteShortcut was also fixed!
  
  -->

  <includes>
    <file name="vida.install.settings.xml" />
  </includes>
  
    <tasks>
     
      <foreach enum="desktop.shortcuts">
        <description>
          removes vida shortcuts on the desktop 
        </description>
        <task name="remove.desktop.shortcut" condition="$[desktop.shortcuts:addAclAllUsersDesktopShortcut]=true" typename="@DeleteShortcut" allowMultipleInstances="true">
            <parameters>
              <parameter name="folders" value="${desktop}"/>
              <parameter name="link.name" value="$[desktop.shortcuts:key]"/>
            </parameters>
          </task>
      </foreach>
     
     
      <task name="remove.programs.vida.folder"  typename="@DeleteShortcut">
        <description>
          removes the program folder for vida
        </description>
        <parameters>
          <parameter name="folders" value="${programs}"/>
          <parameter name="sub.folder.name" value="${programs.subfolder}"/>
        </parameters>
      </task>

      
  </tasks>
  
</taskrunner>